Skip to main content
POST
/
v1
/
withdrawals
/
quotes
Create executable Withdrawal Quote
curl --request POST \
  --url https://sandbox-api.borderless.xyz/v1/withdrawals/quotes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": "100.00",
  "accountId": "cm2c4x3cc000019stwv7um4zl",
  "paymentInstructionId": "cm2c4x3cc000019stwv7um4zl",
  "asset": "BTC",
  "fiat": "USD",
  "country": "US",
  "developerFee": "5.00",
  "counterPartyIdentityId": "cm2c4x3cc000019stwv7um4zl"
}
'
{
  "limits": {
    "transaction": {
      "fiat": "USD",
      "minAmount": "123",
      "maxAmount": "123"
    }
  },
  "fromAmount": "10",
  "toAmount": "8.99",
  "exchangeRate": "0.999",
  "totalFee": "1",
  "orchestrationFee": "1",
  "quoteId": "cm2c4x3cc000019stwv7um4zl",
  "expiresAt": "2026-04-27T12:30:00.000Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
amount
string
required

The amount for the operation. For deposits, this is the fiat amount the user must contribute. For withdrawals, this is the amount of the asset to be withdrawn.

Example:

"100.00"

accountId
string
required

The id of the account associated with the operation. For withdrawals, this is the account from which assets will be withdrawn. For deposits, this is the account where assets will be deposited.

Example:

"cm2c4x3cc000019stwv7um4zl"

paymentInstructionId
string
required

The ID of the payment instruction specifying how the withdrawn funds will be sent. Learn more at Payment Instructions Guide.

Example:

"cm2c4x3cc000019stwv7um4zl"

asset
enum<string>
required

The token tied to a specific blockchain for the withdrawal. See the list of supported Withdrawal Assets.

Available options:
POL,
USDT_POLYGON,
USDC_POLYGON,
SBC_POLYGON,
ETH,
USDT_ETHEREUM,
USDC_ETHEREUM,
PYUSD_ETHEREUM,
DAI_ETHEREUM,
SBC_ETHEREUM,
TRX,
USDT_TRON,
SBC_TRON,
ETH_BASE,
USDC_BASE,
USDB_BASE,
EURC_BASE,
SBC_BASE,
ETH_OPTIMISM,
USDT_OPTIMISM,
USDC_OPTIMISM,
BTC,
CELO,
CUSD_CELO,
USDC_CELO,
SBC_CELO,
SOL,
USDC_SOLANA,
USDT_SOLANA,
PYUSD_SOLANA,
USDP_SOLANA,
EURC_SOLANA,
SBC_SOLANA
Example:

"BTC"

fiat
enum<string>
required

The fiat currency used for the withdrawal operation.

Available options:
USD,
EUR,
BRL,
ARS,
MXN,
COP,
CLP,
PEN,
PYG,
DOP,
UYU,
BOB,
CRC,
GTQ,
BWP,
CDF,
GHS,
KES,
MWK,
NGN,
RWF,
ZAR,
TZS,
UGX,
ZMW,
XOF,
XAF,
AUD,
BDT,
CAD,
INR,
JPY,
NPR,
PKR,
PHP,
SGD,
GBP,
CNY,
HKD,
IDR,
MYR,
KRW,
LKR,
THB,
TRY,
VND,
CZK,
DKK,
NOK,
PLN,
RON,
RSD,
SEK,
CHF,
AED,
SAR,
QAR,
ILS,
EGP,
JOD,
HNL,
JMD,
NZD,
DZD,
GMD,
GNF,
HTG,
MAD,
TND
Example:

"USD"

country
enum<string>
required

The country code in ISO-3166-2 format for the region where the withdrawal is performed.

Available options:
AF,
AL,
DZ,
AS,
AD,
AO,
AI,
AQ,
AG,
AR,
AM,
AW,
AU,
AT,
AZ,
BS,
BH,
BD,
BB,
BY,
BE,
BZ,
BJ,
BM,
BT,
BO,
BQ,
BA,
BW,
BV,
BR,
IO,
BN,
BG,
BF,
BI,
CV,
KH,
CM,
CA,
KY,
CF,
TD,
CL,
CN,
CX,
CC,
CO,
KM,
CD,
CG,
CK,
CR,
HR,
CU,
CW,
CY,
CZ,
CI,
DK,
DJ,
DM,
DO,
EC,
EG,
SV,
GQ,
ER,
EE,
SZ,
ET,
FK,
FO,
FJ,
FI,
FR,
GF,
PF,
TF,
GA,
GM,
GE,
DE,
GH,
GI,
GR,
GL,
GD,
GP,
GU,
GT,
GG,
GN,
GW,
GY,
HT,
HM,
VA,
HN,
HK,
HU,
IS,
IN,
ID,
IR,
IQ,
IE,
IM,
IL,
IT,
JM,
JP,
JE,
JO,
KZ,
KE,
KI,
KP,
KR,
KW,
KG,
LA,
LV,
LB,
LS,
LR,
LY,
LI,
LT,
LU,
MO,
MG,
MW,
MY,
MV,
ML,
MT,
MH,
MQ,
MR,
MU,
YT,
MX,
FM,
MD,
MC,
MN,
ME,
MS,
MA,
MZ,
MM,
NA,
NR,
NP,
NL,
NC,
NZ,
NI,
NE,
NG,
NU,
NF,
MP,
NO,
OM,
PK,
PW,
PS,
PA,
PG,
PY,
PE,
PH,
PN,
PL,
PT,
PR,
QA,
MK,
RO,
RU,
RW,
RE,
BL,
SH,
KN,
LC,
MF,
PM,
VC,
WS,
SM,
ST,
SA,
SN,
RS,
SC,
SL,
SG,
SX,
SK,
SI,
SB,
SO,
ZA,
GS,
SS,
ES,
LK,
SD,
SR,
SJ,
SE,
CH,
SY,
TW,
TJ,
TZ,
TH,
TL,
TG,
TK,
TO,
TT,
TN,
TR,
TM,
TC,
TV,
UG,
UA,
AE,
GB,
UM,
US,
UY,
UZ,
VU,
VE,
VN,
VG,
VI,
WF,
EH,
YE,
ZM,
ZW,
AX
Example:

"US"

developerFee
string

An optional developer fee for the operation, if applicable

Example:

"5.00"

pfiName
enum<string>

Specific PFI to use for this operation. If omitted, the organization's default PFI is used.

Available options:
Bridge,
Koywe,
Kotanipay,
Hercle,
Bitso,
Yellowcard,
TraceFinance,
HoneyCoin,
BlindPay,
Finity,
Infinia,
Walapay,
Abra,
Yativo,
Capa,
Bivo,
Cobre,
Avenia,
Brale,
BVNK,
CoinsPH,
Iron,
Enigma,
Juicyway,
Kira,
TripleA,
Onmeta,
Alfred
counterPartyIdentityId
string

The ID of the identity on whose behalf the withdrawal is being initiated. If not specified, the withdrawal will be initiated for the identity tied to the payment instruction by default.

Example:

"cm2c4x3cc000019stwv7um4zl"

Response

Executable quote with quoteId and expiration timestamp.

limits
object
required
fiat
enum<string>
required

Fiat currency identifier supported by the PFI account.

Available options:
USD,
EUR,
BRL,
ARS,
MXN,
COP,
CLP,
PEN,
PYG,
DOP,
UYU,
BOB,
CRC,
GTQ,
BWP,
CDF,
GHS,
KES,
MWK,
NGN,
RWF,
ZAR,
TZS,
UGX,
ZMW,
XOF,
XAF,
AUD,
BDT,
CAD,
INR,
JPY,
NPR,
PKR,
PHP,
SGD,
GBP,
CNY,
HKD,
IDR,
MYR,
KRW,
LKR,
THB,
TRY,
VND,
CZK,
DKK,
NOK,
PLN,
RON,
RSD,
SEK,
CHF,
AED,
SAR,
QAR,
ILS,
EGP,
JOD,
HNL,
JMD,
NZD,
DZD,
GMD,
GNF,
HTG,
MAD,
TND
country
enum<string>
required
Available options:
AF,
AL,
DZ,
AS,
AD,
AO,
AI,
AQ,
AG,
AR,
AM,
AW,
AU,
AT,
AZ,
BS,
BH,
BD,
BB,
BY,
BE,
BZ,
BJ,
BM,
BT,
BO,
BQ,
BA,
BW,
BV,
BR,
IO,
BN,
BG,
BF,
BI,
CV,
KH,
CM,
CA,
KY,
CF,
TD,
CL,
CN,
CX,
CC,
CO,
KM,
CD,
CG,
CK,
CR,
HR,
CU,
CW,
CY,
CZ,
CI,
DK,
DJ,
DM,
DO,
EC,
EG,
SV,
GQ,
ER,
EE,
SZ,
ET,
FK,
FO,
FJ,
FI,
FR,
GF,
PF,
TF,
GA,
GM,
GE,
DE,
GH,
GI,
GR,
GL,
GD,
GP,
GU,
GT,
GG,
GN,
GW,
GY,
HT,
HM,
VA,
HN,
HK,
HU,
IS,
IN,
ID,
IR,
IQ,
IE,
IM,
IL,
IT,
JM,
JP,
JE,
JO,
KZ,
KE,
KI,
KP,
KR,
KW,
KG,
LA,
LV,
LB,
LS,
LR,
LY,
LI,
LT,
LU,
MO,
MG,
MW,
MY,
MV,
ML,
MT,
MH,
MQ,
MR,
MU,
YT,
MX,
FM,
MD,
MC,
MN,
ME,
MS,
MA,
MZ,
MM,
NA,
NR,
NP,
NL,
NC,
NZ,
NI,
NE,
NG,
NU,
NF,
MP,
NO,
OM,
PK,
PW,
PS,
PA,
PG,
PY,
PE,
PH,
PN,
PL,
PT,
PR,
QA,
MK,
RO,
RU,
RW,
RE,
BL,
SH,
KN,
LC,
MF,
PM,
VC,
WS,
SM,
ST,
SA,
SN,
RS,
SC,
SL,
SG,
SX,
SK,
SI,
SB,
SO,
ZA,
GS,
SS,
ES,
LK,
SD,
SR,
SJ,
SE,
CH,
SY,
TW,
TJ,
TZ,
TH,
TL,
TG,
TK,
TO,
TT,
TN,
TR,
TM,
TC,
TV,
UG,
UA,
AE,
GB,
UM,
US,
UY,
UZ,
VU,
VE,
VN,
VG,
VI,
WF,
EH,
YE,
ZM,
ZW,
AX
asset
enum<string>
required
Available options:
POL,
USDT_POLYGON,
USDC_POLYGON,
SBC_POLYGON,
ETH,
USDT_ETHEREUM,
USDC_ETHEREUM,
PYUSD_ETHEREUM,
DAI_ETHEREUM,
SBC_ETHEREUM,
TRX,
USDT_TRON,
SBC_TRON,
ETH_BASE,
USDC_BASE,
USDB_BASE,
EURC_BASE,
SBC_BASE,
ETH_OPTIMISM,
USDT_OPTIMISM,
USDC_OPTIMISM,
BTC,
CELO,
CUSD_CELO,
USDC_CELO,
SBC_CELO,
SOL,
USDC_SOLANA,
USDT_SOLANA,
PYUSD_SOLANA,
USDP_SOLANA,
EURC_SOLANA,
SBC_SOLANA
paymentMethod
enum<string>
required
Available options:
ACH,
Wire,
Sepa,
Swift,
Card,
MobileMoney,
PIX,
TED,
PSE,
SPEI,
COELSA,
Transfers30,
SPAV,
CCE,
SPI,
LBTR,
SINPE,
Transfer365,
NIP,
GhIPSS,
BankTransfer,
EFT,
RTP,
BECS,
FPS,
IMPS_FIRC,
Breb,
NPSS,
MADA,
ZAHAV,
IBFT,
SIC
fromAmount
string
required

From amount of the conversion, e.g 100.

Example:

"10"

toAmount
string
required

To amount of the conversion, e.g 100.

Example:

"8.99"

exchangeRate
string
required

Exchange rate of the conversion, e.g 1.

Example:

"0.999"

totalFee
string
required

Total fees.

Example:

"1"

orchestrationFee
string
required

Borderless orchestration fee.

Example:

"1"

quoteId
string
required

Unique identifier of the executable quote that can be used to create a transaction.

Example:

"cm2c4x3cc000019stwv7um4zl"

expiresAt
string<date-time>
required

ISO 8601 timestamp indicating when the executable quote expires.

Example:

"2026-04-27T12:30:00.000Z"